org.apache.xmlbeans.impl.common

## Class GlobalLock

- java.lang.Object
- - org.apache.xmlbeans.impl.common.GlobalLock

    public class GlobalLock
    extends Object

Whenever multiple locks must be acquired within the implementation of XML Beans, this GlobalLock is acquired first, and then released when all the acutally-needed locks have been acquired. This prevents deadlocks.

### Constructor Summary

Constructors
Constructor and Description
`GlobalLock()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `acquire()`
`static void` `release()`
`static void` `tryToAcquire()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GlobalLock

    public GlobalLock()

### Method Detail

#### acquire

    public static void acquire()
                        throws InterruptedException

Throws:
  `InterruptedException`

#### tryToAcquire

    public static void tryToAcquire()

#### release

    public static void release()